package cn.estsh.i3plus.ext.mes.api.busi.board;

import cn.estsh.i3plus.ext.mes.pojo.model.board.MesWorkCenterBoardConditionModel;
import cn.estsh.i3plus.ext.mes.pojo.model.board.MesWorkCenterBoardResultModel;

import java.util.List;

/**
 * @Description : 看板-业务方法
 * @Reference :
 * @Author : logic
 * @CreateDate : 2024/6/19 11:08
 * @Modify:
 **/
public interface IMesYfBoardService {

    /**
     * 产线看板
     */
    List<MesWorkCenterBoardResultModel> queryWorkCenterStatus(MesWorkCenterBoardConditionModel conditionModel);

    MesWorkCenterBoardResultModel queryWorkCenterProductionCompletionRate(MesWorkCenterBoardConditionModel conditionModel);

    List<MesWorkCenterBoardResultModel> queryWorkCenterWorkOrderCompletionStatus(MesWorkCenterBoardConditionModel conditionModel);

    List<MesWorkCenterBoardResultModel> queryUnitHourCompletionRate(MesWorkCenterBoardConditionModel conditionModel);

    List<MesWorkCenterBoardResultModel> queryWorkCenterFirstTimeOfflineQualificationRate(MesWorkCenterBoardConditionModel conditionModel);

    List<MesWorkCenterBoardResultModel> queryInspectionResults(MesWorkCenterBoardConditionModel conditionModel);

    MesWorkCenterBoardResultModel queryAbnormalDowntime(MesWorkCenterBoardConditionModel conditionModel);

}
