package cn.estsh.i3plus.ext.mes.apiservice.controller.busi;

import cn.estsh.i3plus.ext.mes.apiservice.schedulejob.MesAccountJob;
import cn.estsh.i3plus.ext.mes.apiservice.schedulejob.MesGenerateAccountJob;
import cn.estsh.i3plus.ext.mes.apiservice.schedulejob.MesWorkOrderUpdateQtyJob;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/test")
public class TestController {


    @Autowired
    private MesWorkOrderUpdateQtyJob mesWorkOrderUpdateQtyJob;

    @Autowired
    private MesAccountJob mesAccountJob;

    @Autowired
    private MesGenerateAccountJob mesGenerateAccountJob;

    @GetMapping("/reportOrder")
    @ApiOperation(value = "报工")
    public void reportOrder() {
        mesWorkOrderUpdateQtyJob.executeMesJob(null, null);
    }

    @GetMapping("/mesAccount")
    @ApiOperation(value = "报工")
    public void mesAccount() {
        mesAccountJob.executeMesJob(null, null);
    }

    @GetMapping("/generateMesAccount")
    @ApiOperation(value = "generateMesAccount")
    public void generateMesAccount() {
        mesGenerateAccountJob.executeMesJob(null, null);
    }
}
