package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesCutSchemeFgService;
import cn.estsh.i3plus.pojo.mes.bean.MesCutSchemeFg;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/18 15:04
 * @Modify:
 **/
@Slf4j
@Service
public class MesCutSchemeFgServiceImpl extends BaseMesService<MesCutSchemeFg> implements IMesCutSchemeFgService {

    @Override
    protected void onInsertBean(MesCutSchemeFg item) {
        ValidatorBean.checkNotNull(item.getCutCode(), "裁片方案代码不能为空");
    }

    @Override
    protected void onUpdateBean(MesCutSchemeFg item) {
        ValidatorBean.checkNotNull(item.getId(), "主键不能为空");
        ValidatorBean.checkNotNull(item.getCutCode(), "裁片方案代码不能为空");
    }
}
