package cn.estsh.i3plus.ext.mes.apiservice.dao.report;

import cn.estsh.i3plus.ext.mes.pojo.model.report.MesDeviceDataQueryReportConditionModel;
import cn.estsh.i3plus.ext.mes.pojo.model.report.MesDeviceDataQueryReportResultModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * @Description : 报表-数据方法
 * @Reference :
 * @Author : logic
 * @CreateDate : 2024/6/15 13:30
 * @Modify:
 **/
public interface IMesYfReportDao {

    /**
     * 设备数据查询报表-查询
     * @param queryReportModel 查询条件封装
     * @param pager 分页信息
     * @return 分页查询结果
     */
    ListPager<MesDeviceDataQueryReportResultModel> queryMesDeviceDataByPager(MesDeviceDataQueryReportConditionModel queryReportModel, Pager pager);

}
