package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesWorkOrderAssemblyService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderAssembly;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description : 工单装配件
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/9/19 16:44
 * @Modify:
 **/
@Service
@Slf4j
public class MesWorkOrderAssemblyServiceImpl extends BaseMesService<MesWorkOrderAssembly> implements IMesWorkOrderAssemblyService {

    @Override
    protected void setPackQueryBean(MesWorkOrderAssembly bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getWorkOrderNo(), "workOrderNo", packBean);
    }

}
