package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.report;

import cn.estsh.i3plus.ext.mes.api.busi.report.IAssemblyPartReportService;
import cn.estsh.i3plus.ext.mes.apiservice.dao.report.IAssemblyPartReportDao;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.model.report.AssemblyPartReportModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description : 装配件查询
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/29 10:20
 * @Modify:
 **/
@Service
@Slf4j
public class AssemblyPartReportServiceImpl implements IAssemblyPartReportService {

    @Autowired
    private IAssemblyPartReportDao assemblyPartReportDao;

    @Override
    public ListPager<AssemblyPartReportModel> queryReport(AssemblyPartReportModel model, Pager pager) {
        ListPager<AssemblyPartReportModel> result = assemblyPartReportDao.queryReport(model,pager);
        return result;
    }
}
